h26958
s 00026/00000/00000
d D 1.1 82/08/03 08:48:36 cecily 1 0
e
u
U
t
T
I 1
*
*
*   mpx system call
*
	entry	mxsys
L.1	equ	8*adc
mxsys	equ	*
	shi	7,L.1				* make room for regs
	stm	8,0(7)				* stack regs

	l	1,1*adc+L.1(7)			* arg cmd
	st	1,cmd
	l	1,2*adc+L.1(7)			* arg index
	st	1,index
	l	1,3*adc+L.1(7)			* arg file
	st	1,file
	l	0,0*adc+L.1(7)			* arg fd
	svc	0,56
cmd	dc	0
index	dc	0
file	dc	0

	lm	8,0(7)
	ahi	7,L.1
	br	15
	end
E 1
